import CustomClient from '../../clients/types/customClient';
import ChannelBase from '../channelBase';
import * as Joi from 'joi';

class CustomChannel extends ChannelBase {
  validations() {
    return {
      test: Joi.alternatives().try(Joi.string(), Joi.object())
    }
  }

  messageTransactionPossible(from: CustomClient, to: CustomClient) {
    return true
  }
};

module.exports = CustomChannel;
export default CustomChannel;
